Stardust Release 1.0.1

Release Date: 27/Sep/13
Build number: 1.0.1.v20130918-0714

Release 1.0.1 is a combined feature and maintenance release.

Supported Platforms

The following tables list all supported micro versions for:

Note
We do not expect any problems in all micro versions covered in the following tables of supported platforms, but we cannot strictly guarantee correct end-to-end system functionality in other platform versions than the Reference Test Platforms, as bugs in the platform code and problems introduced by combining different unforeseen micro-level versions of the different platform components could in rare cases introduce incorrect system behavior that is beyond our control. Refer to section Reference Test Platforms for a list of fine grained version information for our regression test platforms.

Supported Eclipse Platform

Currently the following Eclipse platforms are supported:

Supported Portal Platforms

The Stardust portals are currently supported on the following user agents:

User Agents Supported Versions
Internet Explorer 7.0, 8.0 and 9.0 (for restrictions of using IE7 and IE9 with the Stardust Portal, please see chapter Troubleshooting)
Mozilla Firefox
  • 3.5 (deprecated/restricted)
  • 3.6 (restricted)
  • 4.0 (restricted)
  • 14.0
Google Chrome
  • 10.0 (restricted)
  • 21 (restricted)
  • 22

Supported Database Servers

The following database servers are currently supported by Stardust:

Server Supported Versions
Oracle 10g, 11g R1 (11.1.0.6.0), 11g R2 (11.2.0.1.0)
DB2 UDB 9.5, 9.7
Derby 10.8.2.2
MySQL 5.0, 5.1
Sybase ASE 15.0
SQL Server 2008, 2012

Supported Application Servers

The following application servers are currently supported by Stardust:

Server Supported Versions
IBM WebSphere 7, 8
Oracle WebLogic 10.3.3
JBoss 5.1
Jakarta Tomcat 6

If you don't see your favorite database or application server in this list, please send a request to us. We continuously update the list of supported databases and application servers.

Supported Java Runtime

Vendor Supported Version
Oracle, Sun 1.6.x
Oracle 1.7.x
IBM 32 Bit JRE 6.0 (together with WebSphere 7/8)
Oracle JRockit 6 (together with Oracle 11g application server)

Product Integrations

Vendor Supported Version
BIRT 2.6.2

Other System Dependencies

Vendor Supported Version
Spring 3.0.5
Jackrabbit 2.6.x
Hazelcast 2.4

Reference Test Platforms

The following tables provide fine grained version information for our regression test platforms.

Reference Test Database Servers

The following database servers are currently tested as reference:

Server Supported Versions
Oracle 10.2.0, 11.2 R2
DB2 UDB 9.7.5
Derby 10.8.2.2
MySQL 5.1.59
Sybase ASE 15.7
SQL Server 2008

Reference Test Application Servers

The following application servers are currently tested as reference:

Server Supported Versions
IBM WebSphere 7.0.0.19, 8.0.0.3
Oracle WebLogic 10.3.3
JBoss 5.1
Jakarta Tomcat 6.0.33, 6.0.36

New Features and Improvements

The following new features and bug fixes have been introduced with release 1.0.1:

New Features and Enhancements introduced with this Release

This release contains minor bug fixes and a synchronization of Stardust with third party dependencies introduced with Kepler SR1.

New Features and Bug Fixes

The following new features and bug fixes have been introduced with release 1.0.1:

Bug-ID Description
Bug 417400 Provide Maven archetypes for console and sysconsole
Bug 417326 Feature description (results from kepler/reporesults)
Bug 417326 Feature description (results from kepler/reporesults)
Bug 417325 Feature copyrights (results from kepler/reporesults)
Bug 414864 Remove duplicate setting for property "eclipse.download.base.url".
Bug 417323 Avoiding NPE when running with DEV builds (handling the 9.9.9 version ID)
Bug 417324 Update Bundle names (results from kepler/reporesults)
Bug 417328 Provide chapter for general upgrading from a previous release topics.
Bug 417492 Projects from the Tomcat 6 archetype include el-api.jar which breaks the portal.

Known Issues and Restrictions with this Release

For general known issues and restrictions, please refer to our Troubleshooting section in the online documentation.

Upgrading from a Previous Release

Runtime upgrading

No runtime upgrading is necessary for release 1.0.1.

Previous Releases